export class Guidance {
  parent: FYGE.Container
  currStep: number
  pause: () => void
  play: () => void
  constructor(
    parent: FYGE.Container,
    currStep: number,
    pause: () => void,
    play: () => void
  ) {
    this.parent = parent
    this.currStep = currStep
    this.pause = pause
    this.play = play
  }

  showGuide(pos: any, s: number) {
    const {currStep, parent} = this
    if (!(s > currStep)) {
      return
    }
    this.currStep ++
    this.pause()
    parent.removeAllChildren()

    const shape = new FYGE.Graphics()
    shape.beginFill('#000000', 0.7)
      .drawRect(0,0,750,1624)
      .endFill()
      .beginHole()
      .arc(pos.x, pos.y, 150, 0, 2 * Math.PI)
      .endHole()

    parent.addChild(shape)
    
    switch(currStep) {
      case 1:
        break
    }
  }
}